<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity RequestUnitInternal.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idparent"
                                 baseTableName="request_unit_internal"
                                 constraintName="fk_request_unit_internal_request_unit_internal_id"
                                 referencedColumnNames="idrequest"
                                 referencedTableName="request_unit_internal"/>

        <addForeignKeyConstraint baseColumnNames="idinternalfrom"
                                 baseTableName="request_unit_internal"
                                 constraintName="fk_request_unit_internal_internal_from_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idinternalto"
                                 baseTableName="request_unit_internal"
                                 constraintName="fk_request_unit_internal_internal_to_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

    </changeSet>
</databaseChangeLog>
